Skip navigation Skip to footer
Suggestions
  • No Suggestions

Bug Fix: KensingtonWorks/macOS 10.15+ Compatibility Issue

  • October 20, 2020

If you’ve recently upgraded your macOS or are running version 10.15 or later, you may notice that it is not compatible with KensingtonWorks software. 

kensingtonworks-macos-update-available-october-2020.jpg

Please rest assured that our engineers are aware of the incompatibility issue and are hard at work on a resolution, planned to be released by the end of October 2020. Once available, the new version of KensingtonWorks (2.1.20) will support macOS 11, and will be backward compatible with macOS 10.13 and above. We’ll announce when the new version is ready, then to update, simply open KensingtonWorks and click “Update Available.” 

Thanks for your patience as we work to provide you with the best mouse and trackball experience possible.

The KensingtonWorks Team

Live chat by BoldChat